## edu.stanford.nlp.tagger.maxent
Class CountWrapper

    java.lang.Object
      edu.stanford.nlp.tagger.maxent.CountWrapper

    public class CountWrapper

extends Object

A simple data structure for some tag counts.

Author:
  Kristina Toutanova

Constructor Summary
`` `CountWrapper()`
`protected` `CountWrapper(String word, int countPart, int countThat, int countIn, int countRB)`

Method Summary
`boolean` `equals(Object obj)` Equality is tested only on the word, and not the various counts that are maintained.
`int` `getCountIn()`
`int` `getCountPart()`
`int` `getCountRB()`
`int` `getCountThat()`
`String` `getWord()`
`int` `hashCode()`
`protected void` `incThat()`
`protected void` `read(DataInputStream rf)`
`protected void` `save(OutDataStreamFile rf)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CountWrapper

    public CountWrapper()

### CountWrapper

    protected CountWrapper(String word,
                           int countPart,
                           int countThat,
                           int countIn,
                           int countRB)

Method Detail

### incThat

    protected void incThat()

### getCountPart

    public int getCountPart()

### getCountThat

    public int getCountThat()

### getCountIn

    public int getCountIn()

### getCountRB

    public int getCountRB()

### getWord

    public String getWord()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Equality is tested only on the word, and not the various counts that are maintained.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `obj` - Item tested for equality
  Returns:
    Whether equal

### save

    protected void save(OutDataStreamFile rf)

### read

    protected void read(DataInputStream rf)

Stanford NLP Group